Package ru.bitel.bgbilling.modules.voice.server.bean.code

# Class VoiceGeographicCodeDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<VoiceGeographicCode>
ru.bitel.bgbilling.common.dao.AbstractIdDao<VoiceGeographicCode>
ru.bitel.bgbilling.modules.voice.server.bean.code.VoiceGeographicCodeDao

public class VoiceGeographicCodeDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<VoiceGeographicCode>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceGeographicCodeDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,List<VoiceGeographicCode>>`
  `codeMap(String code, int operatorId)`
  `int`
  `delete(List<Integer> codes)`
  Удаление списка геокодов.
  `VoiceGeographicCode`
  `get(String code, int codeId, int operatorId)`
  Получение одного геокода по его id (или по текстовому представлению) на определенную дату
  `Map<Integer,Integer>`
  `getDestinationLinkCountMap(Set<Integer> destionationIds)`
  `protected VoiceGeographicCode`
  `getFromRS(ResultSet rs)`
  `protected VoiceGeographicCode`
  `getFromRSWithDestination(ResultSet rs)`
  `int`
  `getId(String code, int operatorId)`
  `List<VoiceGeographicCode>`
  `getVoiceGeographicCodeByDestinationId(int destinationId)`
  `List<VoiceGeographicCode>`
  `list(int codeId, int operatorId)`
  Получение списка геокодов с возможностью вывести все геокоды на определенную дату, либо геокоды без учета даты (полная история по геокоду), либо конкретный геокод на определенную дату.
  `void`
  `replaceDestination(int sourceDestinationId, int targetDestinationId)`
  `void`
  `update(VoiceGeographicCode voiceGeographicCode)`
  `protected void`
  `updateImpl(VoiceGeographicCode voiceGeographicCode)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceGeographicCodeDao

    public VoiceGeographicCodeDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected VoiceGeographicCode getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceGeographicCode>`
    Throws:
      `SQLException`

  - ### getFromRSWithDestination

    protected VoiceGeographicCode getFromRSWithDestination(ResultSet rs) throws SQLException
    Throws:
      `SQLException`

  - ### getVoiceGeographicCodeByDestinationId

    public List<VoiceGeographicCode> getVoiceGeographicCodeByDestinationId(int destinationId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDestinationLinkCountMap

    public Map<Integer,Integer> getDestinationLinkCountMap(Set<Integer> destionationIds) throws SQLException
    Throws:
      `SQLException`

  - ### getId

    public int getId(String code, int operatorId) throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(VoiceGeographicCode voiceGeographicCode) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceGeographicCode>`
    Throws:
      `SQLException`

  - ### list

    public List<VoiceGeographicCode> list(int codeId, int operatorId) throws SQLException
    Получение списка геокодов с возможностью вывести все геокоды на определенную дату, либо геокоды без учета даты (полная история по геокоду), либо конкретный геокод на определенную дату.
    Parameters:
      `codeId` - id геокода, список изменений которого нужно вывести
      `operatorId` - id оператора
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### codeMap

    public Map<String,List<VoiceGeographicCode>> codeMap(String code, int operatorId) throws SQLException
    Throws:
      `SQLException`

  - ### get

    public VoiceGeographicCode get(String code, int codeId, int operatorId) throws SQLException
    Получение одного геокода по его id (или по текстовому представлению) на определенную дату
    Parameters:
      `code` - текстовое представление геокода
      `codeId` - id геокода
      `date` - дата, на которую нужно получить геокод.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### delete

    public int delete(List<Integer> codes) throws SQLException
    Удаление списка геокодов.
    Parameters:
      `codes` - список геокодов.
    Returns:
      число удаленных записей.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### update

    public void update(VoiceGeographicCode voiceGeographicCode) throws SQLException
    Overrides:
      `update` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceGeographicCode>`
    Throws:
      `SQLException`

  - ### replaceDestination

    public void replaceDestination(int sourceDestinationId, int targetDestinationId) throws SQLException
    Throws:
      `SQLException`